/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program testing ispunct() */
#include <ctype.h>
#include <stdio.h>

int main() {
    char c = 'A';
    printf("ispunct('%c') returns %d\n", c,ispunct(c));
    if(ispunct(c) > 0)
        printf("'%c' is a punctuation mark.\n", c);
    else
        printf("'%c' is not a punctuation mark.\n", c);
    c = ';';
    printf("ispunct('%c') returns %d\n", c,ispunct(c));
    if(ispunct(c) > 0)
        printf("'%c' is a punctuation mark.\n", c);
    else
        printf("'%c' is not a punctuation mark.\n",c);
}
